@set EC_FILE.bin=eN2xJU.04

:AssignFile

if "%1" == "" goto DefaultFile
if "%2" == "" goto DefaultParameter

ELASH15.EXE %1 %2 %3 %4 %5 %6 %7
goto End

:DefaultParameter

rem /f2 for 128K ROM
ELASH15.EXE %1 /ad /h3 /m /f2
goto End

:DefaultFile
rem /f2 for 128K ROM
ELASH15.EXE %EC_FILE.bin% /ad /h3 /m /f2

:End